# Uses of Class
javax.swing.PopupFactory

Packages that use PopupFactory
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of PopupFactory in javax.swing

Methods in javax.swing that return PopupFactory
Modifier and Type
Method
Description
`static PopupFactory`
PopupFactory.`getSharedInstance()`
Returns the shared `PopupFactory` which can be used to obtain `Popup`s.
Methods in javax.swing with parameters of type PopupFactory
Modifier and Type
Method
Description
`static void`
PopupFactory.`setSharedInstance(PopupFactory factory)`
Sets the `PopupFactory` that will be used to obtain `Popup`s.